summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2015-03-31 16:53:51 +0000
committerUlrich Müller <ulm@gentoo.org>2015-03-31 16:53:51 +0000
commite7062671a863ee35c1c125191ffa9f2e3c4c8a01 (patch)
treeda87a7da63a91704435b682af0588189819598b8 /app-eselect/eselect-php/files/php-fpm-r1.init
parentMove package from app-admin to app-eselect category. (diff)
downloadgentoo-2-e7062671a863ee35c1c125191ffa9f2e3c4c8a01.tar.gz
gentoo-2-e7062671a863ee35c1c125191ffa9f2e3c4c8a01.tar.bz2
gentoo-2-e7062671a863ee35c1c125191ffa9f2e3c4c8a01.zip
Move package from app-admin to app-eselect category.
(Portage version: 2.2.18/cvs/Linux x86_64, RepoMan options: --force, signed Manifest commit with key 9433907D693FB5B8!)
Diffstat (limited to 'app-eselect/eselect-php/files/php-fpm-r1.init')
-rwxr-xr-xapp-eselect/eselect-php/files/php-fpm-r1.init50
1 files changed, 50 insertions, 0 deletions
diff --git a/app-eselect/eselect-php/files/php-fpm-r1.init b/app-eselect/eselect-php/files/php-fpm-r1.init
new file mode 100755
index 000000000000..6cc26acc3c36
--- /dev/null
+++ b/app-eselect/eselect-php/files/php-fpm-r1.init
@@ -0,0 +1,50 @@
+#!/sbin/runscript
+
+set_phpvars() {
+ PHPSLOT=${SVCNAME#php-fpm-}
+ PHP_FPM_PID="/run/php-fpm-${PHPSLOT}.pid"
+ if [ ${PHPSLOT} = 'php-fpm' ] ; then
+ PHPSLOT="$(eselect php show fpm)"
+ PHP_FPM_PID="/run/php-fpm.pid"
+ fi
+
+ PHP_FPM_CONF="/etc/php/fpm-${PHPSLOT}/php-fpm.conf"
+}
+
+extra_commands="depend"
+extra_started_commands="reload"
+
+depend() {
+ need net
+ use apache2 lighttpd nginx
+}
+
+start() {
+ ebegin "Starting PHP FastCGI Process Manager"
+ set_phpvars
+ start-stop-daemon --start --pidfile ${PHP_FPM_PID} --exec \
+ /usr/lib/${PHPSLOT}/bin/php-fpm -- -y "${PHP_FPM_CONF}" -g "${PHP_FPM_PID}"
+ local i=0
+ local timeout=5
+ while [ ! -f ${PHP_FPM_PID} ] && [ $i -le $timeout ]; do
+ sleep 1
+ i=$(($i + 1))
+ done
+
+ [ $timeout -gt $i ]
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping PHP FastCGI Process Manager"
+ set_phpvars
+ start-stop-daemon --signal QUIT --stop --exec /usr/lib/${PHPSLOT}/bin/php-fpm --pidfile ${PHP_FPM_PID}
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading PHP FastCGI Process Manager"
+ set_phpvars
+ [ -f ${PHP_FPM_PID} ] && kill -USR2 $(cat ${PHP_FPM_PID})
+ eend $?
+}